
Redmine - Defect #1526

Problem activity.

2008-06-25 00:06 - Marcello Henrique

Status: Closed Start date: 2008-06-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.7.2   

Resolution: Duplicate Affected version:  

Description

I created one project in activity follow show error.

Related issues:

Has duplicate Redmine - Defect #1569: 500 Internal error for some journal ent... Closed 2008-07-03

History

#1 - 2008-06-25 00:46 - Jean-Philippe Lang

Please read this: SubmittingBugs

#2 - 2008-06-25 01:59 - Marcello Henrique

Jean-Philippe Lang wrote:

Please read this: SubmittingBugs

 Sys: Debian Lenny

mysql-server-5.0                5.0.51a-6

ruby1.8                         1.8.7-2

rails                           2.0.2-2

Redmine                         0.7.devel.1582

subversion                      1.4.6dfsg1-4

Error: URL://<myserver>/projects/activity/<myProject>

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

Back

In first ticket see screenshot.

Thank's!

#3 - 2008-06-25 09:14 - Jean-Philippe Lang

Please reread, the error stack trace is missing. I can't do much without it.

#4 - 2008-06-25 14:45 - Marcello Henrique

- File production.log added

Jean-Philippe Lang wrote:

Please reread, the error stack trace is missing. I can't do much without it.

 I'm sorry, I have (tail -f $HOME_REDMINE/logs/production.log) in moment error and...

ActionView::TemplateError (undefined method `length' for #<Enumerable::Enumerator:0x2b3b545e5230>) on line #12 of projects/activity.rhtml:

9:   <dt class="<%= e.event_type > <= User.current.logged? && e.respond_to?(:event_author) && User.current == e.event_author ? 'me' : nil >">

10:   <span class="time"><= format_time(e.event_datetime, false) ></span>

11:   <= content_tag('span', h(e.project), :class => 'project') if @project.nil? || Herve Harster != e.project >

12:   <= link_to format_activity_title(e.event_title), e.event_url ></dt>
13:   <dd><span class="description"><= format_activity_description(e.event_description) ></span>

14:   <span class="author"><= e.event_author if e.respond_to?(:event_author) ></span></dd>

15: < end -%>

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_view/helpers/text_helper.rb:50:in `truncate'

    app/helpers/application_helper.rb:98:in `truncate_single_line'

    app/helpers/projects_helper.rb:25:in `format_activity_title'

    app/views/projects/activity.rhtml:12:in `_run_erb_47app47views47projects47activity46rhtml'

    app/views/projects/activity.rhtml:8:in `each'

    app/views/projects/activity.rhtml:8:in `_run_erb_47app47views47projects47activity46rhtml'

    app/views/projects/activity.rhtml:5:in `each'

    app/views/projects/activity.rhtml:5:in `_run_erb_47app47views47projects47activity46rhtml'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_view/base.rb:637:in `send'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_view/base.rb:637:in `compile_and_render_template'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_view/base.rb:365:in `render_template'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_view/base.rb:316:in `render_file'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1100:in `render_for_file'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:836:in `render_with_no_layout'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/layout.rb:262:in `render_without_benchmark'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:51:in `render'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:51:in `render'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1153:in `default_render'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1159:in `perform_action_without_filt

ers'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:697:in `call_filters'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:689:in `perform_action_without_be

nchmark'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_action_withou

t_rescue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_action_withou

t_rescue'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/rescue.rb:199:in `perform_action_without_cac

hing'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:678:in `perform_action'

    /var/lib/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cache.rb:33

:in `cache'

    /var/lib/gems/1.8/gems/activerecord-2.0.2/lib/active_record/query_cache.rb:8:in `cache'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:677:in `perform_action'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `send'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `process_without_filters'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in `process_without_session_m

anagement_support'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:in `process'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in `process'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:171:in `handle_request'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:115:in `dispatch'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

    /var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:9:in `dispatch'

    /var/lib/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:112:in `handle_dispatch'

    /var/lib/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:78:in `service'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    /usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

    /var/lib/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:62:in `dispatch'

    /var/lib/gems/1.8/gems/rails-2.0.2/lib/commands/servers/webrick.rb:66

    /usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

    /usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `require'

    /var/lib/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in `require'

    /var/lib/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:342:in `new_constants_in'

    /var/lib/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in `require'

    /var/lib/gems/1.8/gems/rails-2.0.2/lib/commands/server.rb:39

    /usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

    /usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `require'

    script/server:3

 Rendering /home/redmine/redmine/public/500.html (500 Internal Server Error)
You need another log?

Thanks!

#5 - 2008-06-25 21:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

As mentionned in RedmineInstall, Rails and thus Redmine is not compatible with ruby 1.8.7.

See #1457.

Files

Redmine-activity.png 38.8 KB 2008-06-24 Marcello Henrique

production.log 5.97 KB 2008-06-25 Marcello Henrique
